package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 仓库管理对象 base_warehouse
 * 
 * @author Open Platform
 * @date 2023-07-04
 */
public class BaseWarehouse extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** $column.columnComment */
	private String warehouseId;

	/** 1WMS原材料, */
	@Excel(name = "1WMS原材料,")
	private String warehouseType;

	/** 仓库编码 */
	@Excel(name = "仓库编码")
	private String warehouseCode;

	/** 仓库名称 */
	@Excel(name = "仓库名称")
	private String warehouseName;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String factoryCode;

	/** 工厂名称 */
	@Excel(name = "工厂名称")
	private String factoryName;

	/** 数据源 */
	@Excel(name = "数据源")
	private String dataSource;

	/** DB用户 */
	@Excel(name = "DB用户")
	private String schame;

	/** 激活标记 */
	@Excel(name = "激活标记")
	private String activeFlag;

	/** 用户自定义1 */
	@Excel(name = "用户自定义1")
	private String userDefined1;

	/** 用户自定义2 */
	@Excel(name = "用户自定义2")
	private String userDefined2;

	/** 用户自定义3 */
	@Excel(name = "用户自定义3")
	private String userDefined3;

	/** 是否按照线体入库 */
	@Excel(name = "是否按照线体入库")
	private String lineFlag;

	/** 仓库类型 */
	@Excel(name = "仓库类型")
	private String warehouseType2;

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}
	public void setWarehouseType(String warehouseType) {
		this.warehouseType = warehouseType;
	}

	public String getWarehouseType() {
		return warehouseType;
	}
	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getWarehouseCode() {
		return warehouseCode;
	}
	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getWarehouseName() {
		return warehouseName;
	}
	public void setFactoryCode(String factoryCode) {
		this.factoryCode = factoryCode;
	}

	public String getFactoryCode() {
		return factoryCode;
	}
	public void setFactoryName(String factoryName) {
		this.factoryName = factoryName;
	}

	public String getFactoryName() {
		return factoryName;
	}
	public void setDataSource(String dataSource) {
		this.dataSource = dataSource;
	}

	public String getDataSource() {
		return dataSource;
	}
	public void setSchame(String schame) {
		this.schame = schame;
	}

	public String getSchame() {
		return schame;
	}
	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getActiveFlag() {
		return activeFlag;
	}
	public void setUserDefined1(String userDefined1) {
		this.userDefined1 = userDefined1;
	}

	public String getUserDefined1() {
		return userDefined1;
	}
	public void setUserDefined2(String userDefined2) {
		this.userDefined2 = userDefined2;
	}

	public String getUserDefined2() {
		return userDefined2;
	}
	public void setUserDefined3(String userDefined3) {
		this.userDefined3 = userDefined3;
	}

	public String getUserDefined3() {
		return userDefined3;
	}
	public void setLineFlag(String lineFlag) {
		this.lineFlag = lineFlag;
	}

	public String getLineFlag() {
		return lineFlag;
	}
	public void setWarehouseType2(String warehouseType2) {
		this.warehouseType2 = warehouseType2;
	}

	public String getWarehouseType2() {
		return warehouseType2;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("warehouseId", getWarehouseId())
			.append("warehouseType", getWarehouseType())
			.append("warehouseCode", getWarehouseCode())
			.append("warehouseName", getWarehouseName())
			.append("factoryCode", getFactoryCode())
			.append("factoryName", getFactoryName())
			.append("dataSource", getDataSource())
			.append("schame", getSchame())
			.append("activeFlag", getActiveFlag())
			.append("userDefined1", getUserDefined1())
			.append("userDefined2", getUserDefined2())
			.append("userDefined3", getUserDefined3())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("remark", getRemark())
			.append("lineFlag", getLineFlag())
			.append("warehouseType2", getWarehouseType2())
			.toString();
	}
}
